Ubuntu

Evince doesn't handle acrobat 7 password protected PDFs

Reported by Michael R. Head on 2005-10-10
26
Affects Status Importance Assigned to Milestone
Poppler
Invalid
High
poppler (Ubuntu)
Wishlist
Ubuntu Desktop Bugs

Bug Description

Acrobat 7 has added a new way to protect PDFs apparently. None of the PDF tools in Breezy can handle this. I've tried evince, xpdf, gpdf, and kpdf.

This is known upstream, so I'll link to the freedesktop bug.

A fd.o bug about passwords with acrobat 7: https://bugs.freedesktop.org/show_bug.cgi?id=2936

The same happens with all PDF documents at
http://andreas.schmidhauser.ch/apollo.html. They cannot be opened because the
files are encrypted, but no password is requried.

I had a look at this. Appears that the problem is that there is no fileID
value in the trailer. No idea how to handle that, since the PDF spec appears
to require this value for the encryption algorithm.

I have experience this bug too! However the bug seems to be fixed in:
xpdf version 3.01

Michael R. Head (burner) wrote :

Acrobat 7 has added a new way to protect PDFs apparently. None of the PDF tools in Breezy can handle this. I've tried evince, xpdf, gpdf, and kpdf.

This is known upstream, so I'll link to the freedesktop bug.

This is the example password protected PDF from http://cvs.freedesktop.org/poppler/test/unittestcases/

Michael R. Head (burner) wrote :

The acroread package in the multiverse is at version 7, so it does properly handle these password protected PDFs.

Changed in poppler:
assignee: nobody → gnome
Daniel Holbach (dholbach) wrote :

Does this still happen in most recent Dapper?

Changed in poppler:
assignee: gnome → desktop-bugs
Michael R. Head (burner) wrote :

Yes. Here's what I copy/pasted from my about box.

Evince 0.5.2
PostScript and PDF File Viewer.
Using poppler 0.5.1 (splash)

Sebastien Bacher (seb128) wrote :

That bug is your initial bug which has been imported to launchpad when Ubuntu switched its bug tracker

Your PDF beeing text issue is bug #36106

Sebastien Bacher (seb128) wrote :

The previous comment was for bug #25015 rather

Changed in poppler:
status: Unconfirmed → Confirmed
Changed in poppler:
importance: Medium → Wishlist
Daniel Holbach (dholbach) wrote :

Confirmed with poppler 0.5.3-0ubuntu9 and evince 0.6.0-0ubuntu1

Changed in poppler:
status: Unconfirmed → Confirmed
Roman Polach (rpolach) wrote :

I have a PDF file for which has evince disabled the "Print" menu item,
it has not asked for any password. Is it related to this bug?
How can I recognize if the PDF file is acrobat 7 file?
In properties there is this info:
  ...
  Creator: FrameMaker 7.1
  Producer: Acrobat Distiller 4.0 for Windows
  ...
  Security: No
  Format: PDF-1.5
  ...

The first page shows in kpdf and the poppler test tools for HEAD. Not sure what is going on with the rest of the document.

Jaakko: can you tell us if you are still seeing the original problem?

Changed in poppler:
status: Confirmed → Incomplete

Bugzilla Upgrade Mass Bug Change

NEEDSINFO state was removed in Bugzilla 3.x, reopening any bugs previously listed as NEEDSINFO.

  - benjsc
    fd.o Wrangler

Changed in poppler:
status: Incomplete → Confirmed

Checked with poppler 0.6.2, the original problem is gone.

But if I download the first two pages
# wget
"http://v3.espacenet.com/pdfdoc?DB=EPODOC&IDX=US6289364&F=128&QPN=US6289364&PGN=1"
# wget
"http://v3.espacenet.com/pdfdoc?DB=EPODOC&IDX=US6289364&F=128&QPN=US6289364&PGN=2"
they show fine in acroread 8.1.2, but not in evince 2.20.2.

I think this is what comment #4 referred to. I would like to have this bug closed and open another one, but I do now know how the pdf feature of splitting a document into many files is called. Linearized pdf? PDF reference guide did not quickly shed any light on me on this.

Changed in poppler:
status: Confirmed → Invalid
Bordiga Giacomo (gbordiga) wrote :

No a bug for me with, evince 2.22.2-0ubuntu1 and poppler 0.6.4-1ubuntu1. Should be closed?

I was able to open the password encrypted PDF attached here (it is just a blank page correct?) using Hardy.

Closing now. If you find another password encrypted PDF that doesn't work, please report a new bug.

Thanks!

Changed in poppler:
status: Confirmed → Invalid
Changed in poppler:
importance: Unknown → High
Changed in poppler:
importance: High → Unknown
Changed in poppler:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.